#ifndef morpheo_tools_viewer_bdd_Coord_h
#define morpheo_tools_viewer_bdd_Coord_h

#include <iostream>

 

using namespace std;
namespace morpheo{
namespace tools{
namespace viewer{
namespace bdd{     

  class Coord 
    {
    private:
      int pos_hg_x,pos_hg_y;
      int pos_bd_x,pos_bd_y;
      int size_y,size_x;
     
    protected:
      
    public:
      int get_hg_x();
      int get_hg_y();
      int get_bd_x();
      int get_bd_y();
      int get_size_x();
      int get_size_y();
      Coord(int x,int y,int lx,int ly);
     
      ~Coord();
      
    };//end class Coord

};//end bdd
};//end viewer
};//end tools
};//end morpheo

#endif
